Bug 533721 - Review Request: perl-Net-CIDR - Manipulate IPv4/IPv6 netblocks in CIDR notation
Summary: Review Request: perl-Net-CIDR - Manipulate IPv4/IPv6 netblocks in CIDR notation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-08 19:16 UTC by Nicolas Chauvet (kwizart)
Modified: 2014-11-19 07:51 UTC (History)
3 users (show)

Fixed In Version: 0.13-2.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-20 05:13:29 UTC
paul: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Nicolas Chauvet (kwizart) 2009-11-08 19:16:44 UTC
Spec URL:
http://kwizart.fedorapeople.org/review/perl-Net-CIDR.spec
SRPM URL:
http://kwizart.fedorapeople.org/review/perl-Net-CIDR-0.13-1.fc12.src.rpm
Description: Manipulate IPv4/IPv6 netblocks in CIDR notation

Comment 1 Paul Howarth 2009-11-09 10:28:22 UTC
Looks OK at first glance except License: should be "GPL+ or Artistic".

Full review to follow.

Comment 2 Paul Howarth 2009-11-09 12:44:34 UTC
perl-Net-CIDR review:

rpmlint output:
perl-Net-CIDR.noarch: W: invalid-license Distributable, see COPYING
perl-Net-CIDR.src: W: invalid-license Distributable, see COPYING
These needs fixing, by changing the license tag to "GPL+ or Artistic"

- package and spec file naming OK
- package meets guidelines
- package is licensed same as perl but license tag needs fixing to reflect
  this
- no upstream license text to include, though the COPYING file refers to
  the licenses under which the software is licensed, and this file is
  included
- spec file written in English and is legible
- source matches upstream
- package builds OK in mock for Rawhide x86_64
- buildreqs OK
- no locale data, shared or static libs, or devel files to worry about
- package not relocatable
- no duplicate files or directory ownership issues
- %defattr(...) present and correct
- %clean section present and correct
- macro usage is consistent
- code, not content
- no large docs
- not a GUI app -> no desktop file needed
- buildroot cleaned correctly at the start of %install
- filenames all ASCII
- no scriptlets or subpackages

Notes:

 * License should be "GPL+ or Artistic"
 * No point including Net-CIDR.spec as %doc
 * Why use wildcards for single items in %files list:
   %{perl_vendorlib}/* could be %{perl_vendorlib}/Net/
   %{_mandir}/man3/*   could be %{_mandir}/man3/Net::CIDR.3pm*
   This is just a style issue really but IMHO the more explicit entries are
   more readable and informative

Only the license issue is a blocker here. Fix that and I'll approve.

Comment 3 Nicolas Chauvet (kwizart) 2009-11-09 13:20:19 UTC
Spec URL:
http://kwizart.fedorapeople.org/review/perl-Net-CIDR.spec
SRPM URL:
http://kwizart.fedorapeople.org/review/perl-Net-CIDR-0.13-2.fc11.src.rpm
Description: Manipulate IPv4/IPv6 netblocks in CIDR notation

Changelog:
- Fix License tag
- Remove Net-CIDR.spec from %%doc
- List files more explicitely

Comment 4 Paul Howarth 2009-11-09 13:58:49 UTC
rpmlint now clean.

APPROVED.

Comment 5 Nicolas Chauvet (kwizart) 2009-11-09 14:11:44 UTC
New Package CVS Request
=======================
Package Name: perl-Net-CIDR
Short Description: Manipulate IPv4/IPv6 netblocks in CIDR notation
Owners: kwizart
Branches: F-12 F-11 F-10 EL-5
InitialCC: perl-sig

Comment 6 Kevin Fenzi 2009-11-11 03:51:05 UTC
cvs done.

Comment 7 Fedora Update System 2009-11-11 11:20:45 UTC
perl-Net-CIDR-0.13-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-Net-CIDR-0.13-2.fc12

Comment 8 Fedora Update System 2009-11-11 11:21:12 UTC
perl-Net-CIDR-0.13-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Net-CIDR-0.13-2.fc11

Comment 9 Fedora Update System 2009-11-11 11:21:37 UTC
perl-Net-CIDR-0.13-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Net-CIDR-0.13-2.fc10

Comment 10 Fedora Update System 2009-11-11 11:22:16 UTC
perl-Net-CIDR-0.13-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/perl-Net-CIDR-0.13-2.el5

Comment 11 Fedora Update System 2009-11-11 17:22:04 UTC
perl-Net-CIDR-0.13-2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Net-CIDR'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0842

Comment 12 Fedora Update System 2009-11-12 00:54:18 UTC
perl-Net-CIDR-0.13-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Net-CIDR'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-11412

Comment 13 Fedora Update System 2009-11-12 00:56:37 UTC
perl-Net-CIDR-0.13-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Net-CIDR'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11423

Comment 14 Fedora Update System 2009-11-12 00:58:21 UTC
perl-Net-CIDR-0.13-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Net-CIDR'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-11429

Comment 15 Fedora Update System 2009-11-18 22:57:25 UTC
perl-Net-CIDR-0.13-2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Net-CIDR'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0842

Comment 16 Fedora Update System 2009-11-20 05:13:22 UTC
perl-Net-CIDR-0.13-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2009-11-20 05:14:01 UTC
perl-Net-CIDR-0.13-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2009-11-20 05:33:51 UTC
perl-Net-CIDR-0.13-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2009-12-01 18:28:32 UTC
perl-Net-CIDR-0.13-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Paul Howarth 2014-11-15 10:32:12 UTC
Package Change Request
======================
Package Name: perl-Net-CIDR
New Branches: epel7
Owners: pghmcfc
InitialCC: perl-sig

Nicolas is ok with me taking the EPEL branch:
https://bugzilla.redhat.com/show_bug.cgi?id=1163610#c4

Comment 21 Gwyn Ciesla 2014-11-17 13:02:00 UTC
Git done (by process-git-requests).

Comment 22 Fedora Update System 2014-11-17 14:31:47 UTC
perl-Net-CIDR-0.17-6.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/perl-Net-CIDR-0.17-6.el7

Comment 23 Fedora Update System 2014-11-19 07:51:14 UTC
perl-Net-CIDR-0.17-6.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.